Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class GetOoOListResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.ehbox.consultation.protocol.v3.GetOoOListResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:58:18+02:00",
               comments="JAXB RI v2.2.11")
    public class GetOoOListResponse

extends ResponseType
implements Serializable

Java class for GetOoOListResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetOoOListResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="OoO" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="OoOId" type="{urn:be:fgov:ehealth:ehbox:core:v3}OoOIdType"/>
                       <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="Substitute" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetOoOListResponse()`

Method Summary
`List<OoO>` | `getOoOs()` Gets the value of the ooOs property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetOoOListResponse

    public GetOoOListResponse()

Method Detail

### getOoOs

    public List<OoO> getOoOs()

  Gets the value of the ooOs property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ooOs property.

  For example, to add a new item, do as follows:

          getOoOs().add(newItem);

  Objects of the following type(s) are allowed in the list `OoO`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.